GLI 0.6.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Members

Public Types | Public Member Functions | List of all members
storage Class Reference

## Public Types
typedef glm::byte | data_type
typedef dim1_t | dim1_type
typedef dim2_t | dim2_type
typedef dim3_t | dim3_type
typedef dim4_t | dim4_type
typedef dim3_type | dim_type
typedef size_t | face_type
typedef gli::format | format_type
typedef size_t | layer_type
typedef size_t | level_type
typedef size_t | size_type
typedef glm::ivec4 | swizzle_type
typedef texcoord1_t | texcoord1_type
typedef texcoord2_t | texcoord2_type
typedef texcoord3_t | texcoord3_type
typedef texcoord4_t | texcoord4_type

## Public Member Functions
data_type * | data ()
data_type const * | data () const
dim_type | dimensions (size_type const &Level) const
bool | empty () const
size_type | face_size (level_type const &BaseLevel, level_type const &MaxLevel) const
face_type | faces () const
format_type | format () const
size_type | layer_size (face_type const &BaseFace, face_type const &MaxFace, level_type const &BaseLevel, level_type const &MaxLevel) const
layer_type | layers () const
size_type | level_size (level_type const &Level) const
level_type | levels () const
size_type | size () const
| storage ()
| storage (layer_type const &Layers, face_type const &Faces, level_type const &Levels, format_type const &Format, dim_type const &Dimensions)
swizzle_type | swizzle () const

## Detailed Description

Definition at line 56 of file storage.hpp.

## Member Typedef Documentation

typedef glm::byte data_type

Definition at line 73 of file storage.hpp.

typedef dim1_t dim1_type

Definition at line 59 of file storage.hpp.

typedef dim2_t dim2_type

Definition at line 60 of file storage.hpp.

typedef dim3_t dim3_type

Definition at line 61 of file storage.hpp.

typedef dim4_t dim4_type

Definition at line 62 of file storage.hpp.

typedef dim3_type dim_type

Definition at line 63 of file storage.hpp.

typedef size_t face_type

Definition at line 71 of file storage.hpp.

typedef gli::format format_type

Definition at line 72 of file storage.hpp.

typedef size_t layer_type

Definition at line 69 of file storage.hpp.

typedef size_t level_type

Definition at line 70 of file storage.hpp.

typedef size_t size_type

Definition at line 68 of file storage.hpp.

typedef glm::ivec4 swizzle_type

Definition at line 74 of file storage.hpp.

typedef texcoord1_t texcoord1_type

Definition at line 64 of file storage.hpp.

typedef texcoord2_t texcoord2_type

Definition at line 65 of file storage.hpp.

typedef texcoord3_t texcoord3_type

Definition at line 66 of file storage.hpp.

typedef texcoord4_t texcoord4_type

Definition at line 67 of file storage.hpp.

## Constructor & Destructor Documentation

storage | ( |  | ) |

storage | ( | layer_type const & | Layers,
|  | face_type const & | Faces,
|  | level_type const & | Levels,
|  | format_type const & | Format,
|  | dim_type const & | Dimensions
| ) |  |

## Member Function Documentation

data_type* data | ( |  | ) |

data_type const* data | ( |  | ) | const

dim_type dimensions | ( | size_type const & | Level | ) | const

bool empty | ( |  | ) | const

size_type face_size | ( | level_type const & | BaseLevel,
|  | level_type const & | MaxLevel
| ) |  | const

face_type faces | ( |  | ) | const

format_type format | ( |  | ) | const

size_type layer_size | ( | face_type const & | BaseFace,
|  | face_type const & | MaxFace,
|  | level_type const & | BaseLevel,
|  | level_type const & | MaxLevel
| ) |  | const

layer_type layers | ( |  | ) | const

size_type level_size | ( | level_type const & | Level | ) | const

level_type levels | ( |  | ) | const

size_type size | ( |  | ) | const

swizzle_type swizzle | ( |  | ) | const